//
// Copyright (c) 2015, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Media;


namespace MindFusion.Reporting.Wpf.Samples.CS.Exporting
{
	public class MovieInfo
	{
		public string Name
		{
			get;
			set;
		}

		public ImageSource Image
		{
			get;
			set;
		}

		public double Rating
		{
			get;
			set;
		}

		public DateTime ReleaseDate
		{
			get;
			set;
		}

		public string Director
		{
			get;
			set;
		}

		public string Writers
		{
			get;
			set;
		}

		public MovieGenres Genre
		{
			get;
			set;
		}

		public string Tagline
		{
			get;
			set;
		}

		public string Plot
		{
			get;
			set;
		}

		public string Cast
		{
			get;
			set;
		}
	}


	[Flags]
	public enum MovieGenres
	{
		None = 0,
		Drama = 1,
		Crime = 2,
		Thriller = 4,
		Action = 8,
		Adventure = 16,
		SciFi = 32,
		Fantasy = 64,
		Mystery = 128,
		Romance = 256,
		All = 0xffff,
	}
}
